PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_impl_module_events Struct Reference
Implementation API » Module Impl

Module events added with pw_impl_module_add_listener. More...

`#include <pipewire/impl-module.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The module is destroyed.
void(* | free )(void *data)
| The module is freed.
void(* | initialized )(void *data)
| The module is initialized.
void(* | registered )(void *data)
| The module is registered.

## Detailed Description

Module events added with pw_impl_module_add_listener.

## Field Documentation

## ◆ version

uint32_t pw_impl_module_events::version

## ◆ destroy

void(* pw_impl_module_events::destroy) (void *data)

The module is destroyed.

This is the time to unregister and destroy any objects created by the module.

## ◆ free

void(* pw_impl_module_events::free) (void *data)

The module is freed.

This will be called after destroy() returns.

## ◆ initialized

void(* pw_impl_module_events::initialized) (void *data)

The module is initialized.

## ◆ registered

void(* pw_impl_module_events::registered) (void *data)

The module is registered.

This is a good time to register objects created from the module.

The documentation for this struct was generated from the following file:

- pipewire/impl-module.h